ISIS - Feature #2353

spiceinit fails on Dawn images with new frames kernel dawn_v13.tf
2015-10-23 03:43 PM - Kris Becker

Status: Closed

Priority: High

Assignee: Kristin Berry

Category: Infrastructure

Target version: N/A

Impact: New versions of a dynamic CK that is Software Version:

required for newer DAWN images are
now automatically downloaded and
added to the appropriate ISIS kernels
area as they become available.
Additionally, a category test which is run
nightly was added to catch these kinds of
problems quickly.

Description
spiceinit fails to complete successfully with the following error:
Error = "The ck rotation from frame -203120 can not be

found due to no pointing available at requested
time or a problem with the frame"

This problem been traced to changes made in the newly released Dawn frames kernel, dawn_v13.tf. This new kernel has redefined
the DAWN_FC2 alignment from a fixed frame relative to the spacecraft to a dynamic CK-based frame for both the Vesta and Ceres
encounters.

A solution has been found that appears to fix the problem by adding an additional specific CK frame called dawn_fc_v1.bc that
contains these new frames. See the comments in $ISIS3DATA/dawn/kernels/fk/dawn_v13.tf for additional information.

We will add an ISIS regression test to catch these kinds of problems when they arise for changes in Dawn kernels.

History

#1 - 2015-10-23 03:45 PM - Stuart Sides
- Tracker changed from Bug to Feature
- Status changed from New to Assigned

- Assignee set to Kristin Berry

#2 - 2015-10-23 03:47 PM - Kris Becker
- Tracker changed from Feature to Bug
- Status changed from Assigned to New

- Assignee deleted (Kristin Berry)

The thread in ISIS Support that is related is found in http://isis.astrogeology.usgs.gov/IsisSupport/index.php/board,15.0.html.

#3 - 2015-10-23 03:50 PM - Kristin Berry
- Tracker changed from Bug to Feature
- Status changed from New to In Progress

- Assignee set to Kristin Berry

#4 - 2015-10-26 12:12 PM - Kristin Berry
- Impact updated
http://isis.astrogeology.usgs.gov/IsisSupport/index.php/board,15.0.html

#5 - 2015-11-03 04:30 PM - Kristin Berry

To test:

cd /work/projects/isis/latest/m02353/isis/src/dawn/tsts/dawn
setisis /work/users/kberry/NH-merge-trunk/isis

make test

My actual cattest is in /work/projects/isis/latest/m02353/isis/src/dawn/tsts/dawn, but everything needed to make it work is in the LEISASmile (new
horizons) branch of Isis, which | merged with trunk at /work/users/kberry/NH-merge-trunk/isis . Assuming all goes well, | will wait to check in the code
for this ticket until after | have checked in my merge of New Horizons into trunk.

#6 - 2015-11-03 04:30 PM - Kristin Berry

- Status changed from In Progress to Resolved

#7 - 2015-11-04 11:48 AM - Kris Becker

- Status changed from Resolved to Closed

Thanks, Kristin.
